HelpCommand (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class HelpCommand

- org.grails.cli.profile.commands.HelpCommand

- All Implemented Interfaces and Traits:
    ProfileCommand, jline.console.completer.Completer, ProfileRepositoryAware, ProjectContextAware

      class HelpCommand
      extends java.lang.Object
      implements ProfileCommand, jline.console.completer.Completer, ProfileRepositoryAware, ProjectContextAware

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `private CommandLineParser` | `cliParser` |
    `private CommandDescription` | `description` |
    `private Profile` | `profile` |
    `private ProfileRepository` | `profileRepository` |
    `private ProjectContext` | `projectContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandLineParser` | `cliParser`
    `CommandDescription` | `description`
    `Profile` | `profile`
    `ProfileRepository` | `profileRepository`
    `ProjectContext` | `projectContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HelpCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `` | `protected java.util.Collection<CommandDescription>` | `findAllCommands()`
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String NAME

    - #### private CommandLineParser cliParser

    - #### private final CommandDescription description

    - #### private Profile profile

    - #### private ProfileRepository profileRepository

    - #### private ProjectContext projectContext

  - ### Property Detail

    - #### CommandLineParser cliParser

    - #### final CommandDescription description

    - #### Profile profile

    - #### ProfileRepository profileRepository

    - #### ProjectContext projectContext

  - ### Constructor Detail

    - #### HelpCommand()

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### protected java.util.Collection<CommandDescription> findAllCommands()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)